<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_490fedd0c33685bd3a92a23dfbdbe3" . "8c" => base64_decode("JyBDb25maWdWYWx1ZSB0byBzdHJ" . "pbmc="), "_44b97fb00c5" . "dc6204a2e8b4" . "6429ce109" => base64_decode("aXNfc3RyaW5nYWJ" . "sZQ=="), "_3758af61703edea17ee3" . "8fab15f99b56" => base64_decode("JyBjYW5ub3QgYmUgc2V0IHdpdGhvdXQgYW4gaW5zdGFuY2Ugb2YgV3JpdGFibGVDb25maW" . "c="), "_6596b8f6a4969f9a3f6a1b2" . "2b90e9331" => base64_decode("c3By" . "aW50" . "Zg=="), "_835783a340b626fa250ace4c8d824" . "9f7" => base64_decode("VW5hYmxlIHRvIGNhc3QgJw=" . "="), "_5a13027" . "a56ff426" . "a18806ba" . "f1e53ce7" . "4" => base64_decode("Q29uZ" . "mlnVm" . "FsdWU" . "gJw=="));
use RuntimeException;
use UnexpectedValueException;










class ConfigValue
{
    
    
    
    
    private Config $config;
    
    
    
    
    private string $key;
    
    
    
    
    private ?string $pattern;
    
    
    
    
    
    
    
    
    public function __construct(Config $config, string $key, ?string $_84e9b441a0415723346c265202959c32 = null)
    {
        $this->config = $config;
        $this->key = $key;
        $this->setPattern($_84e9b441a0415723346c265202959c32);
    }
    
    
    
    
    
    
    public function getValue()
    {
        return $this->config->get($this->key);
    }
    
    
    
    
    
    
    public function setValue($value)
    {
        if (!$this->config instanceof WritableConfig) {
            throw new RuntimeException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_5a13027a56ff426a18806baf1e5" . "3ce74"] . $this->key . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_3758af61703edea17" . "ee38fab15f99b56"]);
        }
        $this->config->set($this->key, $value);
    }
    
    
    
    
    
    
    public function getPattern() : ?string
    {
        return $this->pattern;
    }
    
    
    
    
    
    
    
    
    public function setPattern(?string $_84e9b441a0415723346c265202959c32)
    {
        $this->pattern = $_84e9b441a0415723346c265202959c32;
    }
    
    
    
    
    
    
    public function getProcessedValue() : string
    {
        $value = $this->getValue();
        if (!$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_44b97fb00c5" . "dc6204a2e8b4" . "6429ce109"]($value)) {
            
            
            throw new UnexpectedValueException($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_835783a340b626fa250ace4c8d8249f" . "7"] . $this->key . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_490fedd0c33685bd3a92a23" . "dfbdbe38c"]);
        }
        if ($this->pattern && $value !== null) {
            $value = $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_6596b8f6a4969f9a3f6a" . "1b22b90e9331"]($this->pattern, $value);
        }
        return (string) $value;
    }
    
    
    
    
    
    
    
    
    
    public function __toString() : string
    {
        return $this->getProcessedValue();
    }
}